## jsbundle-web-interfaces 1.1.0%2B~2.0.1~ds%2B~6.0.0%2B~0~20180821

=== debian/watch ===
version=4
# check: uscan --report
# update: uscan && gbp import-orig ../jsbundle-web-interfaces_*.orig.tar.gz
# see also <https://wiki.debian.org/Javascript/GroupSourcesTutorial>

opts=\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/moll/js-standard-error/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xhttp,\
dversionmangle=auto,repacksuffix=~ds,compression=gzip,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/standard-http-error-$1/ \
https://github.com/moll/js-standard-http-error/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xwebidl,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/webid-conversions-$1/ \
https://github.com/jsdom/webidl-conversions/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ group

# TODO: replace when upstream tags their releases
#opts=\
#component=Xauth,\
#filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/auth-header-$1/ \
#https://github.com/izaakschroeder/auth-header/tags \
#.*?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xauth,\
mode=git,compression=gzip,\
pretty=0~%cd,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/auth-header-$1/ \
https://github.com/izaakschroeder/auth-header \
HEAD group

## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~6.0.0+~0~20180821

=== Makefile ===
NODE_OPTS =
TEST_OPTS =

love:
	@echo "Feel like makin' love."

test:
	@node $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot $(TEST_OPTS)

spec:
	@node $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec $(TEST_OPTS)

autotest:
	@node $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot --watch $(TEST_OPTS)

autospec:
	@node $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec --watch $(TEST_OPTS)

pack:
	npm pack

publish:
	npm publish

tag:
	git tag "v$$(node -e 'console.log(require("./package").version)')"

clean:
	rm -f *.tgz
	npm prune --production

.PHONY: love
.PHONY: test spec autotest autospec
.PHONY: pack publish tag
.PHONY: clean

## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~5.0.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~5.0.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Dec 2019 20:30:48 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-3) unstable; urgency=medium

  * fix clean generated docs
  * update watch file: use dversionmangle=auto

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 11:21:38 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-2) unstable; urgency=medium

  * Fix clean generated documentation files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 15:20:36 +0200

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#921385.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Oct 2019 19:02:25 +0200

=== debian/control ===
Source: jsbundle-web-interfaces
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper,
 jq,
 mocha <!nocheck>,
 node-babel-cli,
 node-babel-core,
 node-babel-preset-env,
 node-babel-preset-flow,
 node-babel-register,
 node-regenerate,
 nodejs,
 pandoc <!nodoc>,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/js-team/jsbundle-web-interfaces.git
Vcs-Browser: https://salsa.debian.org/js-team/jsbundle-web-interfaces
Rules-Requires-Root: no

Package: node-auth-header
Architecture: all
Multi-Arch: foreign
Depends:
 nodejs,
 ${misc:Depends},
Description: parse HTTP auth/authz headers - Node.js library
 auth-header deals
 with obscene HTTP "Authorization" and "WWW-Authenticate" headers.
 .
 The HTTP "Authorization" and "WWW-Authenticate" family of headers
 are both pretty nightmareish;
 there has been, up until recently, no wide consensus
 about how they should be formatted
 and so parsing them is lots of fun
 if fun is pulling your hair out.
 .
 This library provides an implementation of RFC7235
 which allows for the parsing
 of many known existing authorization headers
 (like Basic and Digest)
 as well as any future ones which follow the standard.
 Noteably, this library is less strict than it could be
 to parse some of these legacy formats.
 .
 In addition to the format of the header itself being in flux,
 WWW-Authenticate has its own nasty surprise:
 sometimes multiple authentication prompts can appear in one header,
 sometimes they can appear in multiple headers;
 we _ONLY_ support the latter case
 since trying to disambiguate
 between a second prompt and parameters for the first
 is just about impossible.
 .
 This package provides auth-header usable with Node.js -
 an event-based server-side JavaScript engine.

Package: node-standard-error
Architecture: all
Multi-Arch: foreign
Depends:
 nodejs,
 ${misc:Depends},
Description: subclassable standard errors - Node.js library
 StandardError.js is a tiny JavaScript library
 that simplifies creating subclasses of Error
 for custom error classes with the correct name and stack property.
 Saves you from writing a few lines of boilerplate.
 .
 This package provides StandardError.js usable with Node.js -
 an event-based server-side JavaScript engine.

Package: node-standard-http-error
Architecture: all
Multi-Arch: foreign
Depends:
 node-standard-error,
 nodejs,
 ${misc:Depends},
Description: subclassable standard HTTP errors - Node.js library
 StandardHttpError.js is a very simple but useful error class
 for JavaScript that represents HTTP errors.
 You can then detect it with instanceof in error handling middleware
 and act accordingly.
 .
 This package provides StandardHttpError.js usable with Node.js -
 an event-based server-side JavaScript engine.

Package: node-webidl-conversions
Architecture: all
Multi-Arch: foreign
Depends:
 nodejs,
 ${misc:Depends},
Description: web IDL type conversions on JavaScript values - Node.js library
 Webidl-conversions implements, in JavaScript, the algorithms
 to convert a given JavaScript value according to a given Web IDL type.
 .
 Web IDL is an interface description language (IDL) format
 for describing application programming interfaces (APIs)
 that are intended to be implemented in web browsers.
 .
 This package provides webidl-conversions usable with Node.js -
 an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# don't fail on experimental builds
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS_md = $(wildcard README.md X*/README.md)
DOCS = $(DOCS_md:.md=.html) $(DOCS_md:.md=.txt)
CHANGELOGS_md = $(wildcard CHANGELOG.md X*/CHANGELOG.md)
CHANGELOGS = $(CHANGELOGS_md:.md=.html) $(CHANGELOGS_md:.md=.txt)
endif

# from folder $1 check mocha tests $2
# * wrap with perl TAP harness
# * tolerate failure of experimental builds
_mocha = $(if $(filter-out .,$1),cd $1 && )$(strip \
 NODE_ENV=test prove --verbose --exec "mocha --reporter=tap" $2 \
 $(if $(DEB_SUITE_EXP),|| true))

# either resolve some files to include, or explicitly exclude
# 1: include filter, 2: include list, 3: exclude filter
_get_files_or_exclude = $(strip $(if $(filter $1%,$($2)),\
 -- $(filter $1%,$($2)),\
 -X$(or $3,$(patsubst %S,%,$2))))

override_dh_auto_build: \
 Xauth/index.js \
 Xhttp/codes.json \
 $(CHANGELOGS) $(DOCS)

# check testsuites unless nocheck requested
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	$(call _must)
#	$(call _jest, Xauth)
#	$(call _must, Xhttp)
	$(call _mocha, Xwebidl, test/*.js)
endif

# suppress upstream cleanup unneeded here
override_dh_auto_clean:

override_dh_installdocs:
	dh_installdocs -pnode-auth-header \
		$(call _get_files_or_exclude,Xauth/,DOCS,README)
	dh_installdocs -pnode-standard-error \
		$(call _get_files_or_exclude,README,DOCS,README)
	dh_installdocs -pnode-standard-http-error \
		$(call _get_files_or_exclude,Xhttp/,DOCS,README)
	dh_installdocs -pnode-webidl-conversions \
		$(call _get_files_or_exclude,Xwebidl/,DOCS,README)

override_dh_installchangelogs:
	dh_installchangelogs -pnode-auth-header \
		$(call _get_files_or_exclude,Xauth/,CHANGELOGS)
	dh_installchangelogs -pnode-standard-error \
		$(call _get_files_or_exclude,CHANGELOG,CHANGELOGS)
	dh_installchangelogs -pnode-standard-http-error \
		$(call _get_files_or_exclude,Xhttp/,CHANGELOGS)
	dh_installchangelogs -pnode-webidl-conversions \
		$(call _get_files_or_exclude,Xwebidl/,CHANGELOGS)

# prefix upstream version to our weird bundle to ease dependency tracking
override_dh_gencontrol:
	dh_gencontrol -pnode-auth-header \
		-- -v$(shell jq --raw-output .version < Xauth/package.json)~$(DEB_VERSION)
	dh_gencontrol -pnode-standard-error \
		-- -v$(shell jq --raw-output .version < package.json)~$(DEB_VERSION)
	dh_gencontrol -pnode-standard-http-error \
		-- -v$(shell jq --raw-output .version < Xhttp/package.json)~$(DEB_VERSION)
	dh_gencontrol -pnode-webidl-conversions \
		-- -v$(shell jq --raw-output .version < Xwebidl/package.json)~$(DEB_VERSION)

override_dh_clean:
	dh_clean $(DOCS) $(CHANGELOGS)

Xauth/index.js:
	BROWSERSLIST='node 6' babeljs \
		--no-babelrc --presets=env,flow \
		--out-dir Xauth/dist \
		-- Xauth/src

Xhttp/codes.json:
	make -C Xhttp codes.json

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

%:
	dh $@

## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~6.0.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.0.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * add TODO about covering more tests
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2020 18:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  jq,
  mocha <!nocheck>,
  node-babel-cli,
@@ -16,7 +16,7 @@
  node-regenerate,
  nodejs,
  pandoc <!nodoc>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/js-team/jsbundle-web-interfaces.git
 Vcs-Browser: https://salsa.debian.org/js-team/jsbundle-web-interfaces
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -33,12 +33,10 @@
 
 # check testsuites unless nocheck requested
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	$(call _must)
 #	$(call _jest, Xauth)
 #	$(call _must, Xhttp)
 	$(call _mocha, Xwebidl, test/*.js)
-endif
 
 # suppress upstream cleanup unneeded here
 override_dh_auto_clean:

=== debian/tests/control ===
Test-Command: node -e "require('standard-error');"
Depends: node-standard-error
Restrictions: superficial

Test-Command: node -e "require('auth-header');"
Depends: node-auth-header
Restrictions: superficial

Test-Command: node -e "require('standard-http-error');"
Depends: node-standard-http-error
Restrictions: superficial

Test-Command: node -e "require('webidl-conversions');"
Depends: node-webidl-conversions
Restrictions: superficial

## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~6.1.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.1.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 11:36:45 +0200

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.0.0+~0~20180821-2) unstable; urgency=medium

  * stop wrap tests with prove harness
  * use babel7 presets;
    build-depend on node-babel7
    (not node-babel-cli node-babel-core node-babel-preset-env
    node-babel-preset-flow node-babel-register);
    closes: bug#960024, thanks to Pirate Praveen

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2020 08:35:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,7 @@
  debhelper-compat (= 12),
  jq,
  mocha <!nocheck>,
- node-babel-cli,
- node-babel-core,
- node-babel-preset-env,
- node-babel-preset-flow,
- node-babel-register,
+ node-babel7,
  node-regenerate,
  nodejs,
  pandoc <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-# don't fail on experimental builds
+# detect when build is targeted the experimental suite
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
 # generate documentation unless nodoc requested
@@ -13,11 +13,12 @@
 CHANGELOGS = $(CHANGELOGS_md:.md=.html) $(CHANGELOGS_md:.md=.txt)
 endif
 
+MOCHA = mocha --reporter tap
+
 # from folder $1 check mocha tests $2
-# * wrap with perl TAP harness
 # * tolerate failure of experimental builds
 _mocha = $(if $(filter-out .,$1),cd $1 && )$(strip \
- NODE_ENV=test prove --verbose --exec "mocha --reporter=tap" $2 \
+ $(MOCHA) $2 \
  $(if $(DEB_SUITE_EXP),|| true))
 
 # either resolve some files to include, or explicitly exclude
@@ -77,7 +78,7 @@
 
 Xauth/index.js:
 	BROWSERSLIST='node 6' babeljs \
-		--no-babelrc --presets=env,flow \
+		--no-babelrc --presets=@babel/preset-env,@babel/preset-flow \
 		--out-dir Xauth/dist \
 		-- Xauth/src

## jsbundle-web-interfaces 1.1.0+~cs15.1.20180823

=== Makefile ===
NODE = node
NODE_OPTS =
TEST_OPTS =

love:
	@echo "Feel like makin' love."

test:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot $(TEST_OPTS)

spec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec $(TEST_OPTS)

autotest:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R dot --watch $(TEST_OPTS)

autospec:
	@$(NODE) $(NODE_OPTS) ./node_modules/.bin/_mocha -R spec --watch $(TEST_OPTS)

pack:
	@file=$$(npm pack); echo "$$file"; tar tf "$$file"

constants:
	@$(NODE) -e '\
		var ERRORS = require("./"); \
		for (var name in ERRORS) console.log("`%d` | `%s`", ERRORS[name], name) \
	'

codes.json: .FORCE
	$(NODE) -e 'console.log(JSON.stringify(require("http").STATUS_CODES, null, "\t"))' > "$@"

publish:
	npm publish

tag:
	git tag "v$$($(NODE) -e 'console.log(require("./package").version)')"

clean:
	rm -f *.tgz
	npm prune --production

.PHONY: love
.PHONY: test spec autotest autospec
.PHONY: pack publish tag
.PHONY: clean
.PHONY: .FORCE

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~cs15.1.20180823-2) unstable; urgency=medium

  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment
  * update watch file:
    + simplify usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Feb 2022 18:42:28 +0100

jsbundle-web-interfaces (1.1.0+~cs15.1.20180823-1) unstable; urgency=medium

  * annotate test-only build-dependency on jest
  * update watch file: use version type checksum
  * update copyright info: update coverage
  * embed, install and provide
    virtual package node-types-webidl-conversions;
    closes: bug#1005111, thanks to Yadd

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Feb 2022 18:15:42 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~7.0.0+~0~20180821-4) unstable; urgency=medium

  * update watch file: set ctype=nodejs for components
  * check auth-header testsuite during build;
    build-depend on jest

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Dec 2021 12:42:08 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~7.0.0+~0~20180821-3) unstable; urgency=medium

  * fix have autopkgtests depend on nodejs,
    and stop build-depend on nodejs:
    really closes: bug#998261;
    tighten autopkgtests to do require test in root dir

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Nov 2021 17:41:55 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~7.0.0+~0~20180821-2) unstable; urgency=medium

  * fix revert to build-depend on nodejs (used during build after all);
    closes: bug#998261, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Nov 2021 20:07:16 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~7.0.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0
  * stop (build-)depend explicitly on nodejs: not executed directly

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 02:07:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ jest <!nocheck>,
  jq,
  mocha <!nocheck>,
  node-babel7,
  node-regenerate,
- nodejs,
  pandoc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/js-team/jsbundle-web-interfaces.git
 Vcs-Browser: https://salsa.debian.org/js-team/jsbundle-web-interfaces
 Rules-Requires-Root: no
@@ -21,7 +21,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
 Description: parse HTTP auth/authz headers - Node.js library
  auth-header deals
@@ -58,7 +57,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
 Description: subclassable standard errors - Node.js library
  StandardError.js is a tiny JavaScript library
@@ -74,7 +72,6 @@
 Multi-Arch: foreign
 Depends:
  node-standard-error,
- nodejs,
  ${misc:Depends},
 Description: subclassable standard HTTP errors - Node.js library
  StandardHttpError.js is a very simple but useful error class
@@ -89,8 +86,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
+Provides:
+ node-types-webidl-conversions (= ${webidl-types:Version}),
 Description: web IDL type conversions on JavaScript values - Node.js library
  Webidl-conversions implements, in JavaScript, the algorithms
  to convert a given JavaScript value according to a given Web IDL type.

=== debian/tests/control ===
Test-Command: cd / && node -e "require('standard-error');"
Depends:
 node-standard-error,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('auth-header');"
Depends:
 node-auth-header,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('standard-http-error');"
Depends:
 node-standard-http-error,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('webidl-conversions');"
Depends:
 node-webidl-conversions,
 nodejs,
Restrictions: superficial

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --uscan
# see also <https://wiki.debian.org/Javascript/GroupSourcesTutorial>

opts=\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/moll/js-standard-error/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xhttp,\
ctype=nodejs,\
dversionmangle=auto,repacksuffix=~ds,compression=gzip,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/standard-http-error-$1/ \
https://github.com/moll/js-standard-http-error/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=Xwebidl,\
ctype=nodejs,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/webid-conversions-$1/ \
https://github.com/jsdom/webidl-conversions/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

# NPM registry needed for node types (avoid if at all possible!)
opts=\
component=Xwebidl-types,\
ctype=nodejs,\
searchmode=plain,\
pgpmode=none,\
filenamemangle=s/.*?-?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-webidl-types-$1/,\
dversionmangle=auto \
https://registry.npmjs.org/@types/webidl-conversions \
https://registry.npmjs.org/@types/webidl-conversions/-/webidl-conversions-@ANY_VERSION@@ARCHIVE_EXT@ checksum

# TODO: replace when upstream tags their releases
#opts=\
#component=Xauth,\
#ctype=nodejs,\
#filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/auth-header-$1/ \
#https://github.com/izaakschroeder/auth-header/tags \
#.*?v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=Xauth,\
ctype=nodejs,\
mode=git,compression=gzip,\
pretty=0.0.%cd,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/auth-header-$1/ \
https://github.com/izaakschroeder/auth-header \
HEAD checksum
